Bug Hunting Session
Bug 62719 - PRINTING: missing left border on print of Calc table embedded in Writer
Summary: PRINTING: missing left border on print of Calc table embedded in Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other Windows (All)
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0 target:4.3.0.0.beta2
Keywords:
: 64836 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-03-25 10:35 UTC by pupolesno
Modified: 2014-05-30 12:50 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (40.15 KB, application/vnd.oasis.opendocument.text)
2013-03-25 10:39 UTC, pupolesno
Details
table borders print problem (47.69 KB, application/vnd.oasis.opendocument.text)
2013-03-28 15:54 UTC, Domingo Sacristan
Details
Test file printed with PDFill in LO 42 master.pdf (25.66 KB, application/x-pdf)
2013-06-13 08:30 UTC, Timur
Details
Test file - bug 62719 - printed with PDFill in LO 42 master (27.59 KB, application/x-pdf)
2013-06-13 08:32 UTC, Timur
Details
Test file - bug 62719 - printed with PDFill in LO 40 dev (27.58 KB, application/x-pdf)
2013-06-13 08:33 UTC, Timur
Details
linux master as of Jun 12th PDF export result (50.98 KB, application/pdf)
2013-06-13 08:44 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pupolesno 2013-03-25 10:35:58 UTC
Problem description: 

Steps to reproduce:
1. Print file page 5. (attached)
2. In print no borders.
3. I print on: HP LJ 1320 pcl5,pcl6,ps drivers, CPG pagemaster 402 pcl 5, kyocera fs-1035mfp pcl5.

In ver. 3.6.5 all ok.

Current behavior:

Expected behavior:

              
Operating System: Windows XP
Version: 4.0.1.2 release
Comment 1 pupolesno 2013-03-25 10:39:32 UTC
Created attachment 76988 [details]
Test file
Comment 2 Joel Madero 2013-03-25 15:58:27 UTC
Cannot reproduce with Linux with 3.6.5.2, 4.0.1.2 release nor 4.1 master. Must be Windows only
Comment 3 Thomas van der Meulen 2013-03-25 16:05:31 UTC
Thank you for your bug report,
I can reproduce this bug running LibreOffice 4.0.2.1 on Windows 7.
the printer was a HP photosmart 5510.
Comment 4 Timur 2013-03-27 12:01:41 UTC
I have the similar problem, tested in LOdev on Windows 7 64bit. I noticed that Export as PDF works fine, it's only Print which doesn't. 

Since this one has been already confirmed, I suggest that Bug 62197 be marked as duplicate, if that's the same problem, although it's older - or otherwise.
Comment 5 Javier 2013-03-27 12:18:40 UTC
I have the same problem, tested on 4.0.0.3 version and 4.0.1.2.
Comment 6 Javier 2013-03-27 12:19:33 UTC
The printer was OKI ES8460
Comment 7 A D 2013-03-27 12:24:05 UTC
Same bug on 4.0.1.2 on win XP SP3 with HP printers
Comment 8 Domingo Sacristan 2013-03-28 15:54:41 UTC
Created attachment 77164 [details]
table borders print problem

Similar to this bug, they are print problems with table borders if document contains an OLE Object. The image in Document is embedded as OLE Object. 
Up to version Libreoffice 3.5.4 there is no problem with the print of this document.

This is important for the print of old documents. We have a lot of old doc documents convert to odf with such OLE Objects

By delete the image, embedded as OLE Object, will the table borders print
Comment 9 Michael Meeks 2013-05-02 16:27:54 UTC
I suspect this (or the last comment at least) is a duplicate of a bug that Michael S. fixed recently - any thoughts Michael ?
Comment 10 Timur 2013-05-03 08:45:34 UTC
Tested with libreoffice-4-0~2013-05-03_05.06.45_LibO-Dev_4.0.4.0_Win_x86. First attachment still doesn't print correctly, with direct print to printer Lexmark and printing to PDF with PDFill and BullZip software. Interestingly, all 3 are different, it's a problem with cell borders. 

Can it be related to Bug 46393 - [Task] PRINTING result for cell borders of particular documents unsatisfying?
Comment 11 Michael Meeks 2013-06-12 10:35:59 UTC
We've recently done a number of EMF+ / OLE preview rendering fixes that may well affect this bug, in particular:

commit c47f0903fe0fb2f743d179d1ac9a2dcdfb19af10
Author: Radek Doulik <rodo@novell.com>
Date:   Mon Apr 29 00:00:00 2013 +0200

    Fix bnc#795857 Use correct sizes for EMF+ bitmap rendering
    
    Fix pdf export wrong size issues for embedded EMF+ images.
    
or

commit abdbb847fa135dd758ef3ef99db4c07a2671ca47
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Fri Jun 7 15:33:13 2013 +0200

    Transform the clipping polygon before using it

I would love to have some testing / input of a recent master build on this one:

http://dev-builds.libreoffice.org/daily/master/Win-x86@6/current/

would be ideal. Thanks ! :-)
Comment 12 Timur 2013-06-13 08:28:06 UTC
Tested with master~2013-06-12_17.44.21_LibreOfficeDev_4.2.0.0.alpha0_Win_x86. 
First attachment (and some other document I tested) still doesn't print quite correctly, with direct print to printer Lexmark and printing to PDF with PDFill. They seem the same now. My conclusion is that more noticeable improvement was between 2013-03-27 and 2013-05-03 (a bug that Michael S. fixed?). Export as PDF works fine with all versions. 
I suggest this be reverted to NEW.
Comment 13 Timur 2013-06-13 08:30:04 UTC
Created attachment 80759 [details]
Test file printed with PDFill in LO 42 master.pdf
Comment 14 Timur 2013-06-13 08:32:24 UTC
Created attachment 80760 [details]
Test file - bug  62719 - printed with PDFill in LO 42 master
Comment 15 Timur 2013-06-13 08:33:54 UTC
Created attachment 80762 [details]
Test file - bug  62719 - printed with PDFill in LO 40 dev
Comment 16 Michael Meeks 2013-06-13 08:44:06 UTC
Re-titling to reflect the current state then and -> NEW. FWIW - I attach the resulting PDF on Linux - which seems fine (to me at least).
Comment 17 Michael Meeks 2013-06-13 08:44:35 UTC
Created attachment 80763 [details]
linux master as of Jun 12th PDF export result
Comment 18 Timur 2013-06-13 09:34:30 UTC
Since Linux is rather fine, this is either Windows problem or (I repeat my question), this may be related or even a duplicate to Bug 46393 - [Task] PRINTING result for cell borders of particular documents unsatisfying (which has many duplicate candidates itself)?
Comment 19 Timur 2013-06-13 10:49:05 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=64836 seems similar, please confirm and eventually mark as duplicate. 
I don't have LO master on Linux to test.
Comment 20 tommy27 2013-06-14 11:34:08 UTC
*** Bug 64836 has been marked as a duplicate of this bug. ***
Comment 21 tommy27 2013-06-17 08:23:13 UTC
I confirm "missing left border" on printing using LibO 4.0.3 on WinXP 32bit
Comment 22 Timur 2013-08-05 12:29:33 UTC
Any chance that this be fixed for 4.0.5? Thanks.
Comment 23 Joel Madero 2013-08-05 15:02:25 UTC
Probably not
Comment 24 retired 2013-11-12 09:11:42 UTC
Did any win user test if 4.1.3.2 fixes this?
Comment 25 Timur 2013-11-12 09:16:00 UTC
It didn't fix by itself. Please don't change status. Reverted to NEW.
Comment 26 Björn Michaelsen 2014-01-17 09:58:31 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 27 Timur 2014-02-03 10:12:33 UTC
The same problem remains in 4.2.0.
Comment 28 stragu 2014-02-13 23:16:35 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 29 tommy27 2014-05-10 06:38:52 UTC
still reproducibile under Win7x64 using LibO 4.2.3.3 and 4.3.0.0.alpha1+
Build ID: a1dd961c3093f5f7624e4d1f2240e9120fd13f23
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_11:47:48

moving to mab4.2 list since 4.1.x is EOL
Comment 30 Commit Notification 2014-05-30 09:26:33 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e705c37c44e8ce43047c70e5ad9ae65bd79ae962

fdo#62719: Set more relaxed clipping region.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2014-05-30 09:28:12 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e6e03c9b7d591802c485acc5eb979c0e3ba5610&h=libreoffice-4-3

fdo#62719: Set more relaxed clipping region.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 32 Jan Holesovsky 2014-05-30 09:54:06 UTC
Please test with the next nightly build - not sure if we are hitting exactly the same code path on Windows (I was able to reproduce on Linux with "Print to file" that generates PostScript).
Comment 33 Jan Holesovsky 2014-05-30 12:50:09 UTC
Setting to fixed now, please re-open if you find out it did not help on Windows.